/*
 * Timeline Styles
 * -------------------------------------------------- */
.page-template-template-timeline .page-intro {
    background: transparent;
    box-shadow: none;
    border-radius: 30px;
    padding: 40px 0 0;
	text-align:center;
}
/* --- Main Wrapper & Line --- */
.timeline-wrapper {
    margin: 30px auto;
}

.timeline-container {
    position: relative;
}

/* The vertical line */
.timeline-container::before {
    content: '';
    position: absolute;
    top: 0;
    right: 50%;
    transform: translateX(50%);
    width: 10px;
    height: 100%;
    background: #E0E8F2;
}

/* --- Timeline Item & Dot --- */
.timeline-item {
    position: relative;
    width: 50%;
    box-sizing: border-box;
    margin-bottom: 56px;
}

/* The dot on the line */
.timeline-dot {
    position: absolute;
    top: 0;
    width: 48px;
    height: 48px;
    background-color: #E0E8F2;
    border-radius: 50%;
    z-index: 1;
    display: inline-flex;
    justify-content: center;
    align-items: center;
    font-size: 27px;
    color: #E11D48;
}

/* Positioning for left and right items */
.timeline-item--left {
    right: 50%;
    padding-right: 50px;
}
.timeline-item--right {
    right: 0;
    padding-left: 50px;
}

.timeline-item--left .timeline-dot {
    right: -24px; /* (16px / 2) */
}

.timeline-item--right .timeline-dot {
    left: -24px; /* (16px / 2) */
}

/* Center layout option */
.timeline-item--center {
    width: 100%;
    left: 0;
    text-align: center;
    padding-top: 72px;
}
.timeline-item--center .timeline-dot {
    right: 50% !important;
    transform: translateX(50%);
}
.timeline-item--center .timeline-content {
    max-width: 600px;
    margin: 0 auto;
}
.timeline-item .content-padding {
    padding: 40px 24px;
}
/* --- Content Box --- */
.timeline-content {
    background: #fff;
    border-radius: 32px;
    box-shadow: 0px 4px 6px -4px #0000001A, 0px 10px 15px -3px #0000001A;
    overflow: hidden;
}

.content-inner {
    padding: 24px 24px 31px 24px;
}

.timeline-image img {
    width: 100%;
    height: auto;
    display: block;
}

.content-inner .top-title {
    display: inline-block;
    background-color: #E11D48;
    color: #fff;
    padding: 2px 10px;
    border-radius: 20px;
    font-size: 14px;
    margin-bottom: 14px;
    font-variation-settings: var(--wgh_600);
}

.content-inner .title {
    font-size: 18px;
    font-variation-settings: var(--wgh_600);
    color: var(--dark);
}

.content-inner .sub-title {
    font-size: 14px;
    color: #737373;
    font-variation-settings: var(--wgh_500);
    margin-bottom:5px;
}

.description {
    margin-top: 12px;
}
.timeline-btn {
    display: inline-block;
    background-color: #6a5acd; /* Purple */
    color: #fff;
    padding: 12px 25px;
    border-radius: 5px;
    text-decoration: none;
    font-weight: 600;
    margin-top: 20px;
    transition: background-color 0.3s ease;
}

.timeline-btn:hover {
    background-color: #5849a9;
}

/* --- Items List (Custom & Video) --- */
.timeline-inner-item {
    border-radius: 30px;
    margin-bottom: 10px;
    background: #F1F5F9;
    transition: 0.4s ease;
    overflow: hidden;
}
.timeline-inner-item > a::after {
    content: '\e932';
    font-family: 'icomoon';
    font-size: 12px;
    position: absolute;
    left: 32px;
    transition: 0.4s ease;
}
.timeline-inner-item:hover > a::after {
    transform: rotate(-45deg);
}
.timeline-inner-item > a {
    position: relative;
    display: flex;
    align-items: center;
    padding: 12px 24px 11px 64px;
    text-decoration: none;
    color: var(--dark);
    height: 77px;
}
.timeline-inner-item:hover {
    box-shadow: 0px 4px 6px -4px #0000001A, 0px 10px 15px -3px #0000001A;
}
.timeline-inner-item > a > i {
    margin-left: 15px;
    color: #fff;
    width: 52px;
    height: 52px;
    display: inline-flex;
    justify-content: center;
    align-items: center;
    background: var(--dark);
    border-radius: 17px;
    font-size: 18px;
    margin-right: -12px;
}
.video-dur {
    margin-right: auto;
    font-size: 14px;
    color: #565656;
    display: flex;
    align-items: center;
    gap: 4px;
    white-space: nowrap;
}
.video-dur i {
    color: var(--dark);
}

/*
 * Skill Section Styles (Dropdown)
 * -------------------------------------------------- */
.timeline-skill-item {
    transition: 0.4s ease;
}
.timeline-skill-item.active {
    background: #fff;
    box-shadow: 0px 4px 6px -4px #0000001A, 0px 10px 15px -3px #0000001A;
}
.timeline-skill-title {
    position: relative;
    display: flex;
    align-items: center;
    padding: 12px 24px 11px 64px;
    text-decoration: none;
    color: var(--dark);
    height: 77px;
    cursor: pointer;
    transition: 0.4s ease;
}
.timeline-skill-title.active {
    background: var(--dark);
    color: #fff;
}
.timeline-skill-title .icon-subjects {
    margin-left: 15px;
    color: #fff;
    width: 52px;
    height: 52px;
    display: inline-flex;
    justify-content: center;
    align-items: center;
    background: var(--dark);
    border-radius: 17px;
    font-size: 18px;
    margin-right: -12px;
}
.skill-toggle-icon {
    font-size: 12px;
    position: absolute;
    left: 32px;
    transition: 0.4s ease;
    transform: rotate(-90deg);
}
.timeline-skill-title.active .skill-toggle-icon {
    transform: rotate(45deg);
}
.timeline-skill-end {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 11px 32px 18px;
}
.skill-section.active .skill-title {
    border-bottom: 1px solid #e2e8f0;
}
.skill-title > i:first-child {
    margin-right: 10px;
    color: #6a5acd;
}
.skill-title .toggle-icon {
    margin-left: auto;
    transition: transform 0.3s ease;
}
.skill-section.active .toggle-icon {
    transform: rotate(180deg);
}

.skill-collapsible-content {
    display: none; /* Hidden by default */
    padding: 0;
}
.tl-video-item a {
    display: flex;
    align-items: center;
    gap: 9px;
    cursor: pointer;
    transition: all 0.6s ease;
    border-bottom: 1px solid #E2E8F0;
    position: relative;
    padding: 8px 8px 8px 0;
}
.tl-video-item:last-child a{
    border-bottom: none;
}
.tl-video-item a::after {
    content: '\e914';
    font-family: 'icomoon';
    font-size: 8px;
    margin-right: auto;
    transition: 0.4s ease;
    margin-left: 36px;
}
.tl-video-number {
    min-width: 20px;
    flex: none;
    width: 50px;
    height: 50px;
    display: inline-flex;
    justify-content: center;
    align-items: center;
    font-size: 20px;
    color: #000;
    font-variation-settings: var(--wgh_800);
    line-height: 1;
    padding-top: 5px;
    transition: 0.4s ease;
}
.tl-video-title {
    flex: 1;
    font-size: 12px;
    line-height: 1.2;
}

.video-item.active .video-number {
    background-color: #6a5acd;
    color: #fff;
}
.video-play-icon {
    margin-left: auto;
}

.skill-end {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 15px;
    background-color: #f8f9fa;
    font-size: 14px;
}

.video-stats {
    display: flex;
    gap: 15px;
    color: #64748b;
}

.video-stats span {
    display: flex;
    align-items: center;
}
.video-stats i {
    margin-right: 6px;
}

.full-video-list-btn {
    padding: 0 12px 0 6px;
    background: var(--color1);
    color: white;
    border: none;
    border-radius: 24px;
    font-size: 10px;
    cursor: pointer;
    transition: background 0.4s ease;
    font-family: inherit;
    height: 30px;
    line-height: 1;
    min-width: 132px;
    gap: 12px;
    display: flex;
    align-items: center;
}
.full-video-list-btn:hover {
    background: var(--color2);
    color: white;
}
.full-video-list-btn i {
    font-size: 18px;
}

.timeline-btn-wrap {
    margin-top: 16px;
    text-align: center;
}
/* --- Responsive --- */
@media screen and (max-width: 1200px) {


    .content-inner {
        padding: 16px 16px 31px 16px;
    }
    .video-dur {
        font-size: 11px;
    }
    .skill-toggle-icon,
    .timeline-inner-item > a::after {
        font-size: 10px;
        left: 23px;
    }
    .timeline-inner-item {
        border-radius: 20px;
    }
    .timeline-skill-title,
    .timeline-inner-item > a {
        padding: 7px 24px 9px 48px;
        height: 52px;
        font-size: 12px;
        gap: 5px;
    }
    .timeline-skill-title .icon-subjects,
    .timeline-inner-item > a > i {
        margin-left: 10px;
        width: 34px;
        height: 34px;
        border-radius: 12px;
        font-size: 16px;
        margin-right: -12px;
    }
    .timeline-skill-end {
        padding: 11px 12px 15px;
        gap:8px
    }
    .tl-video-number {
        width: 36px;
        height: 36px;
        font-size: 18px;
        padding-top: 0;
    }

    .content-inner .title {
        font-size: 16px;
    }
    .content-inner .sub-title {
        font-size: 12px;
    }
    .description.editor-content p {
        font-size: 13px;
        line-height: 24px;
    }
}
@media screen and (max-width: 992px) {
    .timeline-wrapper {
        margin: 56px 100px;
    }
    .timeline-item {
        width: 100%;
        padding-left: 0;
        padding-right: 0;
        padding-top: 66px;
        left: unset !important;
        right: unset !important;
    }
    .timeline-dot {
        right: 50% !important;
        transform: translateX(50%);
    }
}
@media screen and (max-width: 768px) {
    .timeline-wrapper {
        margin: 56px auto 100px;
    }
}
@media screen and (max-width: 576px) {
    .timeline-wrapper {
        margin: 40px auto 100px;
    }
}